
Redmine - Defect #36016

Internal error  An error occurred on the page you were trying to access

2021-10-19 14:35 - Александр Мельников

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.1.1

Description

Добрый день!

Информация об установленном продукте

Redmine 4.1.1.stable

Учётная запись администратора по умолчанию изменена

Хранилище файлов доступно для записи

Каталог ресурсов модулей доступен для записи (./public/plugin_assets)

Доступно использование MiniMagick (опционально)

Доступно использование ImageMagick (необязательно)

Доступно использование ImageMagick PDF (опционально)

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.5.8-p224 (2020-03-31) [x86_64-linux]

Rails version                  5.2.4.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.14.0

Git                            2.28.0

Filesystem

Redmine plugins:

redmine_code_review            1.0.0

Информация об ошибке

Данная ошибка возникает при входе в любую из задач в проекте

Rendered issues/show.html.erb within layouts/base (2364.6ms)

Completed 500 Internal Server Error in 10563ms (ActiveRecord: 1321.1ms)

ActionView::Template::Error (bignum out of char range):

8: <% i = 0 >

9: < split_on = (custom_field_values.size / 2.0).ceil - 1 >

10: < custom_field_values.each do |value| >

11:   <p><= custom_field_tag_with_label :issue, value, :required => @issue.required_attribute?(value.custom_field_id) ></p>

12: < if i == split_on ->

13: </div><div class="splitcontentright">

14: < end -%>

Помогите пожалуйста исправить!

History

#1 - 2021-10-19 21:09 - Marius BĂLTEANU

- Status changed from New to Needs feedback

2025-05-06 1/2



Please post in English and try without any plugin.

#2 - 2021-10-20 07:04 - Александр Мельников

Good afternoon!

Information

Redmine 4.1.1.stable

Default administrator account changed

Attachments directory writable

Plugin assets directory writable (./public/plugin_assets)

MiniMagick available (optional)

ImageMagick convert available (optional)

ImageMagick PDF support available (optional)

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.5.8-p224 (2020-03-31) [x86_64-linux]

Rails version                  5.2.4.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.14.0

Git                            2.28.0

Filesystem 

Error Information

This error occurs when you log on to any of the tasks in one of the projects.

This error occurred before any plugins were installed.

Rendered issues/show.html.erb within layouts/base (2364.6ms)

Completed 500 Internal Server Error in 10563ms (ActiveRecord: 1321.1ms)

ActionView::Template::Error (bignum out of char range):

8: <% i = 0 >

9: < split_on = (custom_field_values.size / 2.0).ceil - 1 >

10: < custom_field_values.each do |value| >

11: <p><%= custom_field_tag_with_label :issue, value, :required => @issue.required_attribute?(value.custom_field_id) ></p>

12: < if i == split_on ->

13: </div><div class="splitcontentright">

14: < end ->

Please help me fix it!
